/**
 * IVLPQ.java
 *
 * File generated from the medication::IVLPQ uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

// End of user code
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class IVLPQ.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IVL_PQ", propOrder = {
	"low",
	"width",
	"high",
	"high1",
	"width1",
	"high2",
	"center",
	"width2"
})
@XmlRootElement(name = "IVL_PQ")
public class IVLPQ extends net.ihe.gazelle.medication.SXCMPQ implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	/**
	 *                             The low limit of the
	                                    interval.                         .
	 */
	@XmlElement(name = "low", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.IVXBPQ low;
	/**
	 *                             The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                    .
	 */
	@XmlElement(name = "width", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.PQ width;
	/**
	 *                             The high limit of
	                                        the interval.                         .
	 */
	@XmlElement(name = "high", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.IVXBPQ high;
	@XmlElement(name = "high", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.IVXBPQ high1;
	/**
	 *                             The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                .
	 */
	@XmlElement(name = "width", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.PQ width1;
	/**
	 *                             The high limit of the
	                                    interval.                         .
	 */
	@XmlElement(name = "high", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.IVXBPQ high2;
	/**
	 *                             The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                .
	 */
	@XmlElement(name = "center", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.PQ center;
	/**
	 *                             The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                .
	 */
	@XmlElement(name = "width", namespace = "urn:epsos-org:ep:medication")
	public net.ihe.gazelle.medication.PQ width2;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return low.
	 * @return low :                             The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                         
	 */
	public net.ihe.gazelle.medication.IVXBPQ getLow() {
	    return low;
	}
	
	/**
	 * Set a value to attribute low.
	 * @param low :                             The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                                                     The low limit of the
	                                    interval.                         .
	 */
	public void setLow(net.ihe.gazelle.medication.IVXBPQ low) {
	    this.low = low;
	}
	
	
	
	
	/**
	 * Return width.
	 * @return width :                             The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                    
	 */
	public net.ihe.gazelle.medication.PQ getWidth() {
	    return width;
	}
	
	/**
	 * Set a value to attribute width.
	 * @param width :                             The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                                                The difference
	                                        between high and low boundary. The
	                                        purpose of distinguishing a width property is to
	                                        handle all cases of incomplete information
	                                        symmetrically. In any interval representation only
	                                        two of the three properties high, low, and width need
	                                        to be stated and the third can be derived.
	                                    .
	 */
	public void setWidth(net.ihe.gazelle.medication.PQ width) {
	    this.width = width;
	}
	
	
	
	
	/**
	 * Return high.
	 * @return high :                             The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                         
	 */
	public net.ihe.gazelle.medication.IVXBPQ getHigh() {
	    return high;
	}
	
	/**
	 * Set a value to attribute high.
	 * @param high :                             The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                                                     The high limit of
	                                        the interval.                         .
	 */
	public void setHigh(net.ihe.gazelle.medication.IVXBPQ high) {
	    this.high = high;
	}
	
	
	
	
	/**
	 * Return high1.
	 * @return high1
	 */
	public net.ihe.gazelle.medication.IVXBPQ getHigh1() {
	    return high1;
	}
	
	/**
	 * Set a value to attribute high1.
	 * @param high1.
	 */
	public void setHigh1(net.ihe.gazelle.medication.IVXBPQ high1) {
	    this.high1 = high1;
	}
	
	
	
	
	/**
	 * Return width1.
	 * @return width1 :                             The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                
	 */
	public net.ihe.gazelle.medication.PQ getWidth1() {
	    return width1;
	}
	
	/**
	 * Set a value to attribute width1.
	 * @param width1 :                             The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                .
	 */
	public void setWidth1(net.ihe.gazelle.medication.PQ width1) {
	    this.width1 = width1;
	}
	
	
	
	
	/**
	 * Return high2.
	 * @return high2 :                             The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                         
	 */
	public net.ihe.gazelle.medication.IVXBPQ getHigh2() {
	    return high2;
	}
	
	/**
	 * Set a value to attribute high2.
	 * @param high2 :                             The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                                                     The high limit of the
	                                    interval.                         .
	 */
	public void setHigh2(net.ihe.gazelle.medication.IVXBPQ high2) {
	    this.high2 = high2;
	}
	
	
	
	
	/**
	 * Return center.
	 * @return center :                             The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                
	 */
	public net.ihe.gazelle.medication.PQ getCenter() {
	    return center;
	}
	
	/**
	 * Set a value to attribute center.
	 * @param center :                             The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                                            The arithmetic mean of
	                                    the interval (low plus high                            divided
	                                    by 2). The purpose of distinguishing the center
	                                    as a semantic property is for conversions of intervals
	                                    from and to point values.
	                                .
	 */
	public void setCenter(net.ihe.gazelle.medication.PQ center) {
	    this.center = center;
	}
	
	
	
	
	/**
	 * Return width2.
	 * @return width2 :                             The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                
	 */
	public net.ihe.gazelle.medication.PQ getWidth2() {
	    return width2;
	}
	
	/**
	 * Set a value to attribute width2.
	 * @param width2 :                             The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                                            The difference between
	                                    high and low boundary. The                            purpose of
	                                    distinguishing a width property is to
	                                    handle all cases of incomplete information
	                                    symmetrically. In any interval representation only
	                                    two of the three properties high, low, and width need
	                                    to be stated and the third can be derived.
	                                .
	 */
	public void setWidth2(net.ihe.gazelle.medication.PQ width2) {
	    this.width2 = width2;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "IVL_PQ").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(IVLPQ iVLPQ, String location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (iVLPQ != null){
   			net.ihe.gazelle.medication.SXCMPQ.validateByModule(iVLPQ, location, cvm, diagnostic);
			net.ihe.gazelle.medication.IVXBPQ.validateByModule(iVLPQ.getLow(), location + "/low", cvm, diagnostic);
			net.ihe.gazelle.medication.PQ.validateByModule(iVLPQ.getWidth(), location + "/width", cvm, diagnostic);
			net.ihe.gazelle.medication.IVXBPQ.validateByModule(iVLPQ.getHigh(), location + "/high", cvm, diagnostic);
			net.ihe.gazelle.medication.IVXBPQ.validateByModule(iVLPQ.getHigh1(), location + "/high", cvm, diagnostic);
			net.ihe.gazelle.medication.PQ.validateByModule(iVLPQ.getWidth1(), location + "/width", cvm, diagnostic);
			net.ihe.gazelle.medication.IVXBPQ.validateByModule(iVLPQ.getHigh2(), location + "/high", cvm, diagnostic);
			net.ihe.gazelle.medication.PQ.validateByModule(iVLPQ.getCenter(), location + "/center", cvm, diagnostic);
			net.ihe.gazelle.medication.PQ.validateByModule(iVLPQ.getWidth2(), location + "/width", cvm, diagnostic);
    	}
    }

}